BearSSL

Data Fields
br_ec_public_key Struct Reference

Structure for an EC public key. More...

`#include <bearssl_ec.h>`

## Data Fields
int | curve
| Identifier for the curve used by this key. More...
unsigned char * | q
| Public curve point (uncompressed format). More...
size_t | qlen
| Length of public curve point (in bytes). More...

## Detailed Description

Structure for an EC public key.

## Field Documentation

## ◆ curve

int br_ec_public_key::curve

Identifier for the curve used by this key.

## ◆ q

unsigned char* br_ec_public_key::q

Public curve point (uncompressed format).

## ◆ qlen

size_t br_ec_public_key::qlen

Length of public curve point (in bytes).

The documentation for this struct was generated from the following file:

- bearssl_ec.h